/*
TOM-DAVI.ES Theme
Author: Tom Davies
Version 5.0
A Layout that utilises the 'cicada principle' from http://designfestival.com/cicada/
*/

:root {
  color-scheme: light dark;
  --bg-hue: 207deg;
  --comp-hue: calc(var(--bg-hue) + 270deg);
  --primary-bg-color: oklch(51% 0.07 var(--bg-hue));
  --secondary-bg-color: oklch(67% 0.07 var(--bg-hue));
}

html {
  font-family: system-ui, sans-serif; 
  font-size: 100%;
}

body {
  font-family: system-ui, sans-serif; 
  margin: 0;
  height: 100%;
  background-image: linear-gradient(
    to bottom right in oklch,
    var(--primary-bg-color) 0%,
    var(--secondary-bg-color) 33% 66%,
    var(--primary-bg-color) 100%
  );
  background-repeat: no-repeat;
  background-attachment: fixed;
}

#about {
  margin: auto;
  text-align: center;
  color: #000;
}

h1 {
  font-size: 15vw;
  font-style: italic;
  font-weight: bold;
  margin-top: 0px;
  margin-bottom: 0px;
  text-align: center;
  text-shadow: 3px 3px 2px oklch(75% 0.07 var(--bg-hue));
}

a {
  color: #000;
  font-size: 12vw;
  text-decoration: none;
  text-shadow: 3px 3px 2px oklch(75% 0.07 var(--bg-hue));
}

a:hover {
  font-style: oblique;
}

.subtext {
  display: none;
  text-shadow: 3px 3px 2px oklch(75% 0.07 var(--bg-hue));
}

p {
  margin: auto;
}

img {
  margin: auto;
  width: 50vw;
  max-height: 250px;
  max-width: 250px;
  filter: drop-shadow(3px 3px 2px oklch(75% 0.07 var(--bg-hue))) ;
}

@media screen and (width >= 48rem) {
  .subtext {
    font-size: 1.5vh;
    display: inline;
  }
  h1 {
    font-size: 10vw;
  }
  a {
    font-size: 7vh;
  }
}

@media screen and (width >= 64rem) {
  h1 {
    font-size: 7vw;
  }
  a {
    font-size: 5vh;
  }
}